// Definition de la table des Appareils
/*********************************************************************/
// par TCO_Web (Utpeca) le 2023/01/04 16:41:39
typedef struct
{
  char   etaApp;    // �tat de l'appareil ( de '1' a '4')
  char   typApp;    // type de l'appareil ('A', 'J', 'T', 'S')
  byte   noMot1;    // No du 1er moteur (de 1 a 8)
  byte   noMot2;    // No du 2me moteur (de 1 a 8)
  byte   noRcpt;    // No du ESP32/ESP8266 recepteur
}  appareil;
appareil t_App[NBMOT] =

{
  {'4', 'J', 1, 2, 1},
  {'1', 'A', 3, 0, 1},
  {'2', 'J', 4, 5, 1},
  {'1', 'J', 6, 7, 1},
  {'1', 'A', 8, 0, 1},
  {'1', 'A', 1, 0, 2},
  {'1', 'T', 2, 3, 2},
  {'1', ' ', 0, 0, 0}
};

// Remplacer %CONSTRUIRE_TCO% par la table HTML des vignettes
/*********************************************************************/
String processor(const String& var)
{
  if (var == "CONSTRUIRE_TCO")
  {
    String tco = "";
    tco += "<table border='0' cellspacing='0' cellpadding='0'><tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='Sign'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='VirG1_180'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='But5_180'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='But5'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <a href='javascript:;' onClick=\"posApp1=ChangeTjd(posApp1, 'Tjd1', 'Crois1', '')\"> <img class='img1' src='Crois1_E4' name='imgTjd1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='But5_180'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='BgHd1'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <a href='javascript:;' onClick=\"posApp2=ChangeAig(posApp2, 'Aig2', 'AigD1', '')\"> <img class='img1' src='AigD1_E1' name='imgAig2'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <a href='javascript:;' onClick=\"posApp3=ChangeTjd(posApp3, 'Tjd3', 'Crois1', '')\"> <img class='img1' src='Crois1_E2' name='imgTjd3'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='But5_180'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <a href='javascript:;' onClick=\"posApp4=ChangeTjd(posApp4, 'Tjd4', 'Crois2', '')\"> <img class='img1' src='Crois2_E1' name='imgTjd4'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <a href='javascript:;' onClick=\"posApp5=ChangeAig(posApp5, 'Aig5', 'AigG1', '')\"> <img class='img1' src='AigG1_E1' name='imgAig5'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='VirD1'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='BgHd1_090'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='VirG1_090'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='VirD1_180'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='But5_180'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='H1_090'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='H1_090'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='H1_090'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='VirG1_180'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='VirD1'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='VirD1_270'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <a href='javascript:;' onClick=\"posApp6=ChangeAig(posApp6, 'Aig6', 'AigG1', '')\"> <img class='img1' src='AigG1_E1' name='imgAig6'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <a href='javascript:;' onClick=\"posApp7=ChangeAigT(posApp7, 'Aig7', 'AigT1', '180')\"> <img class='img1' src='AigT1_E1_180' name='imgAig7'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='VirG1'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='But5'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='VirG1'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "</tr>\n";
    tco += "</table>\n";
    return tco;
  }
  else if (var == "VALEUR_APP1") { return String(t_App[0].etaApp); }
  else if (var == "VALEUR_APP2") { return String(t_App[1].etaApp); }
  else if (var == "VALEUR_APP3") { return String(t_App[2].etaApp); }
  else if (var == "VALEUR_APP4") { return String(t_App[3].etaApp); }
  else if (var == "VALEUR_APP5") { return String(t_App[4].etaApp); }
  else if (var == "VALEUR_APP6") { return String(t_App[5].etaApp); }
  else if (var == "VALEUR_APP7") { return String(t_App[6].etaApp); }
  else if (var == "VALEUR_APP8") { return String(t_App[7].etaApp); }
  else return String();
}

/*********************************************************************/
void ChargerVignettes()
/*********************************************************************/
{
  server.on("/Pierre", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Pierre.gif", "image/gif"); });
  server.on("/Ligne", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Ligne.gif", "image/gif"); });
  server.on("/Titre2", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Titre2.gif", "image/gif"); });
  server.on("/Sign", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Sign.png", "image/png"); });
  server.on("/vide", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/vide.png", "image/png"); });
  server.on("/VirG1", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/VirG1.png", "image/png"); });
  server.on("/VirG1_180", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/VirG1_180.png", "image/png"); });
  server.on("/H1", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/H1.png", "image/png"); });
  server.on("/But5", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/But5.png", "image/png"); });
  server.on("/But5_180", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/But5_180.png", "image/png"); });
  server.on("/BgHd1", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/BgHd1.png", "image/png"); });
  server.on("/VirD1", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/VirD1.png", "image/png"); });
  server.on("/BgHd1_090", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/BgHd1_090.png", "image/png"); });
  server.on("/VirG1_090", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/VirG1_090.png", "image/png"); });
  server.on("/VirD1_180", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/VirD1_180.png", "image/png"); });
  server.on("/H1_090", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/H1_090.png", "image/png"); });
  server.on("/VirD1_270", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/VirD1_270.png", "image/png"); });

  server.on("/Crois1_E1", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Crois1_E1.png", "image/png"); });
  server.on("/Crois1_E2", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Crois1_E2.png", "image/png"); });
  server.on("/Crois1_E3", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Crois1_E3.png", "image/png"); });
  server.on("/Crois1_E4", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Crois1_E4.png", "image/png"); });
  server.on("/AigD1_E1", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/AigD1_E1.png", "image/png"); });
  server.on("/AigD1_E2", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/AigD1_E2.png", "image/png"); });
  server.on("/Crois2_E1", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Crois2_E1.png", "image/png"); });
  server.on("/Crois2_E2", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Crois2_E2.png", "image/png"); });
  server.on("/Crois2_E3", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Crois2_E3.png", "image/png"); });
  server.on("/Crois2_E4", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Crois2_E4.png", "image/png"); });
  server.on("/AigG1_E1", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/AigG1_E1.png", "image/png"); });
  server.on("/AigG1_E2", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/AigG1_E2.png", "image/png"); });
  server.on("/AigT1_E1_180", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/AigT1_E1_180.png", "image/png"); });
  server.on("/AigT1_E2_180", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/AigT1_E2_180.png", "image/png"); });
  server.on("/AigT1_E3_180", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/AigT1_E3_180.png", "image/png"); });
}
